#ifndef _CJT_PELIS_
#define _CJT_PELIS_

#include "utils.PRO2"

class Cjt_pelis{

private:

  // aqui poseu els camps de la classe (compte amb els #include !!!)          

public:

  Cjt_pelis(int M);
  /* Pre: M>0 */
  /* Post: el resultat es un conjunt de M pelis de mida 0 i cap descarrega */

  void llegir_pelicules();
  /* Pre: al cin hi ha la mida de tantes pelicules com la capacitat del p.i. */
  /* Post: s'han modificat les mides de totes les pelis del p.i amb les dades
     del cin */

  int consultar_megabytes(int id) const;
  /* Pre: 1<=id<=nombre de pelis del p.i. */
  /* Post: el resultat es la longitud de la peli id del p.i. */

  void anotar_solicitud(int id, int t);
  /* Pre: 1<=id<=nombre de pelis del p.i., t>0 */
  /* Post: s'afegeix a la peli id del p.i. una descarrega amb temps t */

  pair<int,int> peli_mes_solicitada(int t) const;
  /* Pre: t>0 */
  /* Post: el primer enter del resultat es el menor id dins de les pelis del
     p.i. descarregades mes vegades des del temps t, el segon enter del
     resultat es el nombre de descarregues; si no hi ha hagut cap decarrega,
     el resultat es 0 0 */

private:

  // aqui poseu les operacions privades (si cal alguna)

};

#endif


