#ifndef _SERVIDOR_
#define _SERVIDOR_

#include "utils.PRO2"
#include <vector>

class Servidor{

private:

  vector<bool> pelis;
  int ample_banda;

public:

  Servidor(int M);
  /* Pre: M>0 */
  /* Post: el resultat es un servidor buit, no ocupat i amb ample de banda
     zero, que pot contenir fins a M pelis */

  void llegir_dades();
  /* Pre: el cin te dos enters mes grans que zero i tants ids valids de
     pelicules com el segon enter */
  /* Post: s'han llegit l'ample de banda del p.i. i les pelis que te */

  bool te_pelicula(int id) const;
  /* Pre: id es un id valid de pelicula */
  /* Post: el resultat es cert si i nomes si el p.i. te la peli id */

  int ample_de_banda() const;
  /* Pre: cert */
  /* Post: el resultat es l'ample de banda del p.i. */

};

#endif

